# chart.tcl Chart-Display
#
# Version 0.7 (19.02.1997)
# Version 0.8 (05.05.1997) Unterstuetzung von mehreren Chartdisplays
# Version 0.9 (15.05.1997) Unterdrueckung doppelter Kanten
# Version 1.0beta (05.06.1997)
# Version 1.0 (06.06.1997) erste Release
# Version 1.01 (09.06.1997) Mausknopfbedienung geaendert, Loeschen !
# Version 1.02 (12.06.1997) Bugs entfernt, Knoepfe nach oben
# Version 1.03 (16.06.1997) Show Parents
# Version 1.04 (26.06.1997) Aufteilung in Einzelfiles
# Version 1.05 (01.07.1997) Konfigurationskrempel eingebaut, Tastenkuerzel
# Version 1.06 (26.07.1997) Anfang der Variablengeneralisierung
# Version 1.07 (01.08.1997) Variablengeneralisierung, show_results
# Version 1.08 (03.08.1997) Konfigurationskrempel soweit fertig
# Version 1.09 (20.08.1997) Aenderungen bei Actions und bei init
# Version 1.10 (22.08.1997) (hoffentlich) abschliessende Aenderung bei Actions
# Version 1.11 (12.09.1997) init leeres Display laesst Fenster offen
# Version 1.12 (22.05.1998) Bug killed beim Senden einer Regel als erste Kante
# Version 1.13 (08.06.1998) zwei neue Befehle, um das Zeichnen der Kanten von aussen zu steuern plus eine Prozedur zum Erzeugen eines Modaldialogs
# Version 1.14 (13.08.1998) Anzeigen des Verlaufs einer Kante mit mittlerer Maustaste
# Version 1.15 (14.08.1998) Text auch noch gefaerbt :-)
# Version 1.16 (30.09.1998) Popup-Menues auch bei Regeln, externe Moeglichkeit des 
#                           Markierens von Kanten
# Version 1.20 (05.10.1998) Moeglichkeit zum Dis- und Enablen von Menuepunkten
# Version 1.21 (12.10.1998) andere Ausgabe fuer Prolog
# Version 1.22 (14.10.1998) Icon definierbar
# Version 1.23 (15.10.1998) Menuepunkte abschaltbar und wahlweise in Deutsch
# Version 1.24 (16.10.1998) (fast) alle Menuepunkte abschaltbar, andere Variablen
# Version 1.25 (27.11.1998) Abstand der Token einstellbar
# Version 1.26 (30.11.1998) Abstand nach unten einstellbar
# Version 1.27 (14.12.1998) Fehler beim Abspeichern der Scrollheight korrigiert
# Version 1.28 (20.05.1999) physikalisches Markieren von Eltern und Kindern
# Version 1.29 (28.05.1999) physikalisches Markieren von einzelnen Kanten jetzt auch intern
# Version 1.30 (01.06.1999) Elternmarkierung durck Inverse, nur eine Eltern-Kind-Markierung moeglich

# DAS KOORDINATENSYSTEM HAT DEN URSPRUNG LINKS OBEN !!!!!


# Version
set chart(chart_display_version) "Version 1.30 (01.06.1999)"

# Verbose-Mode (0 = off)
set chart(verbose) 0

# Verbose Window
set chart(chart_trace) 0

# Blinken an/aus (1/0)
set chart(blink) 0

# Ausgabe von Kommandos im Prolog-Style (1 fuer Prolog, 0 fuer normal)
set chart(prolog) 0

# Wahl der Sprache (1 fuer Englisch, 0 fuer Deutsch)
set chart(english) 1

# Wahl der Defaultmenuepunkte (an/aus , 1/0)

set chart(popup_activepassive) 1

set chart(popup_leftright) 1

set chart(popup_view) 1

set chart(popup_style) 1

set chart(popup_playback) 1

# lade die einzelnen Module

source "$loadpath/chart/helpers.tcl"
my_trace "Helpers loaded."
my_trace "Loading the other source files"
my_trace "Loading print.tcl"
source "$loadpath/chart/print.tcl"
my_trace "Loading redraw.tcl"
source "$loadpath/chart/redraw.tcl"
my_trace "Loading popup.tcl"
source "$loadpath/chart/popup.tcl"
my_trace "Loading playback.tcl"
source "$loadpath/chart/playback.tcl"
my_trace "Loading comm.tcl"
source "$loadpath/chart/comm.tcl"
my_trace "Loading init.tcl"
source "$loadpath/chart/init.tcl"
my_trace "Loading draw_l.tcl"
source "$loadpath/chart/draw_l.tcl"
my_trace "Loading draw_p.tcl"
source "$loadpath/chart/draw_p.tcl"
my_trace "Loading config.tcl"
source "$loadpath/chart/config.tcl"

# bestimme die Anzahl der Farben des Displays
if { [winfo depth .] < 8 } {
    set chart(colormodel) 0
    my_trace "Less than 8 colors found."
} else {
    set chart(colormodel) 1
    my_trace "More than 8 colors found"
}

my_trace "All files successful loaded."
